VM_PAGE_RENAME(9)

NAME
vm_page_rename - move a page

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_rename(vm_page_t m, vm_object_t new_object, vm_pindex_t new_pindex);

DESCRIPTION
The vm_page_rename() function removes a page from one object, and adds it to another at the given page index. The page is added to the given object, and is removed from the object that is currently associated with. If the page is currently on the cache queue it will be deactivated unless it is wired or unmanaged, in which case the deactivation will fail. The entire page is marked as dirty after the move.

The arguments to vm_page_rename() are:

m   The page to move.

new_object
    The object the page should be inserted into.

new_pindex
    The page index into new_object at which the new page should be inserted.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.